﻿using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;
using DirectService.Tools;
using JLHHJSvr.BLL;
using JLHHJSvr.Com;
using JLHHJSvr.Com.Model;
using JLHHJSvr.Helper;
using JLHHJSvr.LJException;
using LJLib.DAL.SQL;
using LJLib.Net.SPI.Server;
using Newtonsoft.Json.Linq;

namespace JLHHJSvr.Excutor
{
    internal sealed class GetERPMtrldefListExcutor : ExcutorBase<GetERPMtrldefListRequest, GetERPMtrldefListResponse>
    {
        protected override void ExcuteInternal(GetERPMtrldefListRequest request, object state, GetERPMtrldefListResponse rslt)
        {
            var tokendata = BllHelper.GetToken(request.token);
            if (tokendata == null)
            {
                rslt.ErrMsg = "会话已经中断，请重新登录";
                return;
            }

            var erpHelper = HelperBase.GetHelper<ERPHelper>(null);

            var parameters = new JObject();
            if(request.mtrlid != null && request.mtrlid > 0)
            {
                parameters.Add("mtrlid", request.mtrlid);
            }

            var list = erpHelper.GetERPList<erp_mtrldef>("GetL1Mtrldef", parameters);

            rslt.mtrldefList = list;
        }
    }
}
